### Method

# Ggit TreeEntry ref

#### Declaration [src]

    GgitTreeEntry*
    ggit_tree_entry_ref (
      GgitTreeEntry* entry
    )

#### Description [src]

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitTreeEntry`

A `GgitTreeEntry` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.